SIN(3) | Library Functions Manual | SIN(3)

# NAME

`sin`, `sinf` —
sine function

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

`#include <math.h>`

double
`sin`(double x);

float
`sinf`(float x);

# DESCRIPTION

The `sin`() function computes the sine of x (measured in radians). A large magnitude argument may yield a result with little or no significance.

# RETURN VALUES

The `sin`() function returns the sine value.

# SEE ALSO

acos(3), asin(3), atan(3), atan2(3), cos(3), cosh(3), math(3), sinh(3), tan(3), tanh(3)

# STANDARDS

The `sin`() function conforms to ANSI X3.159-1989 (“ANSI C89”).

# HISTORY

A `sin`() function appeared in Version 1 AT&T UNIX.

September 2, 2019 | NetBSD 9.5